There are currently no open bugs.

"libgeo-googleearth-pluggable-perl" versions published in Ubuntu

Jammy (0.15-2.1): universe/perl
Impish (0.15-2.1): universe/perl
Hirsute (0.15-2.1): universe/perl
Focal (0.15-2): universe/perl
Bionic (0.15-2): universe/perl
Xenial (0.15-2): universe/perl
Trusty (0.15-2): universe/perl